UNSTUFF(1)

NAME
unstuff - expand many compressed and encoded formats

SYNOPSIS
unstuff [ POSIX or GNU style options ] [ archive ... ]

where archive ... is one or more parameters listing archives to expand.

DESCRIPTION
unstuff is an application that expands archives and decodes encoded files in multiple compressed and encoded formats. It is a command-line utility that uses the StuffIt Engine shared library.

unstuff takes a list of archives on its command line and expands each one in sequence. unstuff detects input formats automatically. It recognizes archives and encoded files by analyzing their contents instead of relying on file name extensions such as .sit or .gz .

unstuff can currently decompress files created by StuffIt, zip, Arc, Arj, gzip, UNIX compress, PrivateFile and decode files in uuencode, BinHex, btoa, btoa5, MIME, and MacBinary formats.

OPTIONS
Command-line options are distinguished from arguments (archive names) by one or two dashes. Short (one-character) options are preceded by one dash, long (multi-character) options are preceded by two dashes. Some options have only short or a long form; some have both. Options are listed in alphabetical order.

-d=[directory] --destination=[directory]
    Sets the destination directory for expanded files. Default: .

-e=[option] --eol=[option]
    Selects one of the following text type options, represented by [option]: native, win, windows, crlf, unix, lf, mac, macintosh, cr. Default: native.

--formats
    Shows archive formats supported by unstuff and the StuffIt Engine. Default: [no].

-m=[option] --macbinary=[option]
    Selects one of the following MacBinary output options, represented by [option]: off, no, on, yes, or auto. Default: off.

-p=[password] --password=[password]
    Sets the password to be used in the operation. Default: none.

-q --quiet
    Suppresses all messages normally printed during operation. Default: [no].

-t=[option] --text=[option]
    Selects one of the following text conversion options, represented by [option]: off, no, on, yes, or auto. Default: off.

-v --version
    Shows unstuff and StuffIt Engine version information. Default: [no].

EXAMPLES

unstuff archive.sit
    Expands an archive named archive.sit.

unstuff --destination=/var/tmp archive.sit
    Expands an archive named archive.sit and places expanded files into /var/tmp.

unstuff --text=auto --eol=unix archive.sit
    Expands an archive named archive.sit, converting text files to Unix format (LF end-of-lines).

unstuff --password=abcdef archive.sit
    Expands an archive named archive.sit, decrypting its contents with the password abcdef.

SEE ALSO
compress(1), gunzip(1), unzip(1)

DIAGNOSTICS
Exit status is normally 0; if an error occurs, exit status is 1 or 2.